Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038892
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2018-07-04 18:382018-08-08 13:06
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision85da1c363b49
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038892: JDK 11: not necessary to include jaxws-api library

DescriptionIn Java 11, some modules are removed from the standard distribution. See[1].

Some of these modules were required in Openbravo, so in order to support Java 11 they were included to be deployed on the classpath. See[2].

The jaxws-api[3] was one of these libraries, but is not being used in core. Therefore it should be removed.

[1] http://openjdk.java.net/jeps/320 [^]
[2] https://code.openbravo.com/erp/devel/pi/rev/c3a604592d8f59346c6a17cc7c511566602dc23c [^]
[3] https://docs.oracle.com/javase/7/docs/technotes/guides/xml/jax-ws/ [^]
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0038130 closedcaristu Openbravo ERP support JDK 11 
related to design defect 0038869 closedcaristu Openbravo ERP JDK 11: jaxbl-impl library should be included in the classpath 
depends on backport 00388973.0PR18Q3 closedcaristu Openbravo ERP JDK 11: not necessary to include jaxws-api library 
depends on backport 00388983.0PR18Q2.1 closedcaristu Openbravo ERP JDK 11: not necessary to include jaxws-api library 
causes defect 0038908 closedTriage Finance Modules Authorize.net Integration module does not compile with JDK 11 

-  Notes
(0105606)
hgbot (developer)
2018-07-05 08:48

Repository: erp/devel/pi
Changeset: 85da1c363b4904a437d9d494741b90cd58f43926
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jul 05 08:47:26 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/85da1c363b4904a437d9d494741b90cd58f43926 [^]

fixes issue 38892: not necessary to include jaxws-api library

---
M legal/Licensing.txt
R lib/runtime/jaxws-api-2.2.12.jar
---
(0105607)
caristu (developer)
2018-07-05 08:52

Removed from wiki: http://wiki.openbravo.com/wiki/Openbravo_Libraries#Java_libraries [^]
(0105643)
alostale (developer)
2018-07-05 14:34

reviewed
tested with openjdk version "11-ea" 2018-09-25:
* MMC -> scan for updates, install and compile modules
* send email
(0106201)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-07-04 18:38 caristu New Issue
2018-07-04 18:38 caristu Assigned To => caristu
2018-07-04 18:38 caristu Modules => Core
2018-07-04 18:38 caristu Triggers an Emergency Pack => No
2018-07-04 18:38 caristu Issue generated from 0038869
2018-07-04 18:38 caristu Relationship added related to 0038130
2018-07-04 18:38 caristu Relationship added related to 0038869
2018-07-05 08:32 caristu Status new => scheduled
2018-07-05 08:35 caristu Summary JDK 11: does not need to include jaxws-api library => JDK 11: not necessary to include jaxws-api library
2018-07-05 08:48 hgbot Checkin
2018-07-05 08:48 hgbot Note Added: 0105606
2018-07-05 08:48 hgbot Status scheduled => resolved
2018-07-05 08:48 hgbot Resolution open => fixed
2018-07-05 08:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/85da1c363b4904a437d9d494741b90cd58f43926 [^]
2018-07-05 08:50 caristu Review Assigned To => alostale
2018-07-05 08:50 caristu Description Updated View Revisions
2018-07-05 08:52 caristu Note Added: 0105607
2018-07-05 14:34 alostale Note Added: 0105643
2018-07-05 14:34 alostale Status resolved => closed
2018-07-05 14:34 alostale Fixed in Version => 3.0PR18Q4
2018-07-06 08:22 alostale Relationship added causes 0038908
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106201


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker